Page MenuHomePhabricator

Extension OmegaWiki failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

There were 14 failures:

1) ApiDocumentationTest::testDocumentationExists with data set "Module ow_syntrans with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_syntrans', array(false, false))
Module description message apihelp-ow_syntrans-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

2) ApiDocumentationTest::testDocumentationExists with data set "Module ow_syntrans with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_syntrans', array(true, true))
Module description message apihelp-ow_syntrans-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

3) ApiDocumentationTest::testDocumentationExists with data set "Module ow_define with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_define', array(false, false))
Module description message apihelp-ow_define-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

4) ApiDocumentationTest::testDocumentationExists with data set "Module ow_define with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_define', array(true, true))
Module description message apihelp-ow_define-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

5) ApiDocumentationTest::testDocumentationExists with data set "Module ow_express with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_express', array(false, false))
Module description message apihelp-ow_express-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

6) ApiDocumentationTest::testDocumentationExists with data set "Module ow_express with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_express', array(true, true))
Module description message apihelp-ow_express-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

7) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_definition with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_add_definition', array(false, false))
Module description message apihelp-ow_add_definition-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

8) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_definition with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_add_definition', array(true, true))
Module description message apihelp-ow_add_definition-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

9) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_syntrans with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_add_syntrans', array(false, false))
Module description message apihelp-ow_add_syntrans-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

10) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_syntrans with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_add_syntrans', array(true, true))
Module description message apihelp-ow_add_syntrans-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

11) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_annotation with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_add_annotation', array(false, false))
Module description message apihelp-ow_add_annotation-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

12) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_annotation with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_add_annotation', array(true, true))
Module description message apihelp-ow_add_annotation-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

13) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_to_collection with MiserMode=false, AllowCategorizedRecentChanges=false" ('ow_add_to_collection', array(false, false))
Module description message apihelp-ow_add_to_collection-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

14) ApiDocumentationTest::testDocumentationExists with data set "Module ow_add_to_collection with MiserMode=true, AllowCategorizedRecentChanges=true" ('ow_add_to_collection', array(true, true))
Module description message apihelp-ow_add_to_collection-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/WikiLexicalData : masterAdd apihelp messages to pass unit tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 8:13 PM
MtDu claimed this task.Jan 10 2017, 8:16 PM
MtDu removed MtDu as the assignee of this task.Jan 25 2017, 12:14 PM
MtDu added a subscriber: MtDu.

I'm not going to block anyone from taking this task. Feel free. :)

hashar triaged this task as Medium priority.Feb 6 2017, 9:42 AM
hashar moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.

Change 370000 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikiLexicalData@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/370000

Change 370000 merged by jenkins-bot:
[mediawiki/extensions/WikiLexicalData@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/370000

Umherirrender closed this task as Resolved.Aug 10 2017, 7:29 PM